## linux-mvl-dove 2.6.32-212.28hedley14

=== Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 32
EXTRAVERSION = .21+drm33.7
NAME = Man-Eating Seals of Antiquity

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?=

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -T $(srctree)/scripts/module-common.lds
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -Iinclude \
                   $(if $(KBUILD_SRC),-Iinclude2 -I$(srctree)/include) \
                   -I$(srctree)/arch/$(hdr-arch)/include               \
                   -include include/linux/autoconf.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS   := -D__ASSEMBLY__

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export KBUILD_CFLAGS CFLAGS_KERNEL CFLAGS_MODULE CFLAGS_GCOV
export KBUILD_AFLAGS AFLAGS_KERNEL AFLAGS_MODULE

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

=== drivers/staging/Makefile ===
# Makefile for staging directory

# fix for build system bug...
obj-$(CONFIG_STAGING)		+= staging.o

obj-$(CONFIG_ET131X)		+= et131x/
obj-$(CONFIG_SLICOSS)		+= slicoss/
#obj-$(CONFIG_VIDEO_GO7007)	+= go7007/
obj-$(CONFIG_VIDEO_CX25821)	+= cx25821/
obj-$(CONFIG_USB_IP_COMMON)	+= usbip/
#obj-$(CONFIG_W35UND)		+= winbond/
obj-$(CONFIG_PRISM2_USB)	+= wlan-ng/
obj-$(CONFIG_ECHO)		+= echo/
obj-$(CONFIG_POCH)		+= poch/
obj-$(CONFIG_OTUS)		+= otus/
obj-$(CONFIG_RT2860)		+= rt2860/
obj-$(CONFIG_RT2870)		+= rt2870/
obj-$(CONFIG_RT3090)		+= rt3090/
obj-$(CONFIG_RT3090STA)		+= rt3090sta/
obj-$(CONFIG_COMEDI)		+= comedi/
obj-$(CONFIG_ASUS_OLED)		+= asus_oled/
obj-$(CONFIG_PANEL)		+= panel/
obj-$(CONFIG_ALTERA_PCIE_CHDMA)	+= altpciechdma/
obj-$(CONFIG_RTL8187SE)		+= rtl8187se/
obj-$(CONFIG_RTL8192SU)		+= rtl8192su/
obj-$(CONFIG_RTL8192E)		+= rtl8192e/
obj-$(CONFIG_TRANZPORT)		+= frontier/
#obj-$(CONFIG_ANDROID)		+= android/
#obj-$(CONFIG_ANDROID)		+= dream/
obj-$(CONFIG_DST)		+= dst/
obj-$(CONFIG_POHMELFS)		+= pohmelfs/
obj-$(CONFIG_B3DFG)		+= b3dfg/
obj-$(CONFIG_IDE_PHISON)	+= phison/
obj-$(CONFIG_PLAN9AUTH)		+= p9auth/
obj-$(CONFIG_LINE6_USB)		+= line6/
obj-$(CONFIG_USB_SERIAL_QUATECH2)	+= serqt_usb2/
obj-$(CONFIG_USB_SERIAL_QUATECH_USB2)	+= quatech_usb2/
obj-$(CONFIG_OCTEON_ETHERNET)	+= octeon/
obj-$(CONFIG_VT6655)		+= vt6655/
obj-$(CONFIG_VT6656)		+= vt6656/
obj-$(CONFIG_FB_UDL)		+= udlfb/
obj-$(CONFIG_HYPERV)		+= hv/
obj-$(CONFIG_VME_BUS)		+= vme/
obj-$(CONFIG_RAR_REGISTER)	+= rar/
obj-$(CONFIG_DX_SEP)		+= sep/
obj-$(CONFIG_IIO)		+= iio/

=== arch/arm/mach-dove/Makefile ===
AFLAGS_swsusp.o			:= -DTEXT_OFFSET=$(TEXT_OFFSET)

obj-y				+= clock.o common.o addr-map.o irq.o pcie.o mpp.o \
				sdhci_cam_mbus.o
obj-$(CONFIG_MACH_DOVE_RD_AVNG)	+= dove-rd-avng-setup.o
obj-$(CONFIG_MACH_DOVE_RD)	+= dove-rd-setup.o dove-front-panel-common.o
obj-$(CONFIG_MACH_DOVE_DB)	+= dove-db-setup.o dove-front-panel-common.o
obj-$(CONFIG_MACH_DOVE_DB_B)	+= dove-db-setup.o dove-front-panel-common.o
obj-$(CONFIG_MACH_DOVE_VIDEOPLUG)	+= dove-videoplug-setup.o
obj-$(CONFIG_MACH_MIMAS)	+= mimas.o
obj-$(CONFIG_MACH_TITAN)	+= mimas.o
obj-$(CONFIG_I2C_MV64XXX_PORT_EXPANDER)	+= twsi.o
obj-$(CONFIG_DOVE_PM_SUPPORT)	+= pm.o
obj-$(CONFIG_CPU_FREQ_DOVE)	+= cpufreq.o
obj-$(CONFIG_HIBERNATION)	+= cpu.o swsusp.o
obj-$(CONFIG_SENSORS_DOVE)	+= hwmon.o
obj-$(CONFIG_FB_DOVE_CLCD)	+= clcd.o
obj-$(CONFIG_FB_DOVE_CLCD1)	+= clcd.o
obj-$(CONFIG_MV_INCLUDE_MPP_SYSFS)	+= avng_mpp.o
obj-$(CONFIG_CPU_IDLE)		+= cpuidle.o
obj-$(CONFIG_PROC_FS)		+= dump_cp15_regs.o
obj-$(CONFIG_MV_EXT_VGA_CLOCK)	+= idt5v49ee503.o
obj-$(CONFIG_DOVE_GC600)	+= gc600_driver_dove/

include $(srctree)/$(subst ",,$(CONFIG_MV_HAL_RULES_PATH))

obj-y           += mv_hal_support/

=== drivers/input/serio/Makefile ===
#
# Makefile for the input core drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_SERIO)		+= serio.o
obj-$(CONFIG_SERIO_I8042)	+= i8042.o
obj-$(CONFIG_SERIO_PARKBD)	+= parkbd.o
obj-$(CONFIG_SERIO_SERPORT)	+= serport.o
obj-$(CONFIG_SERIO_CT82C710)	+= ct82c710.o
obj-$(CONFIG_SERIO_RPCKBD)	+= rpckbd.o
obj-$(CONFIG_SERIO_SA1111)	+= sa1111ps2.o
obj-$(CONFIG_SERIO_AMBAKMI)	+= ambakmi.o
obj-$(CONFIG_SERIO_AT32PSIF)	+= at32psif.o
obj-$(CONFIG_SERIO_Q40KBD)	+= q40kbd.o
obj-$(CONFIG_SERIO_GSCPS2)	+= gscps2.o
obj-$(CONFIG_HP_SDC)		+= hp_sdc.o
obj-$(CONFIG_HIL_MLC)		+= hp_sdc_mlc.o hil_mlc.o
obj-$(CONFIG_SERIO_PCIPS2)	+= pcips2.o
obj-$(CONFIG_SERIO_MACEPS2)	+= maceps2.o
obj-$(CONFIG_SERIO_LIBPS2)	+= libps2.o
obj-$(CONFIG_SERIO_RAW)		+= serio_raw.o
obj-$(CONFIG_SERIO_XILINX_XPS_PS2)	+= xilinx_ps2.o
obj-$(CONFIG_SERIO_KB3310)	+= kb3310.o
obj-$(CONFIG_SERIO_ENEEC_KB3930_I2C)	+= eneec.o
obj-$(CONFIG_SERIO_ENEEC_KB3930_SPI)	+= eneec_spi.o

=== drivers/staging/rt3090sta/Makefile ===
obj-$(CONFIG_RT3090STA)	+= rt3090sta.o

include drivers/staging/rt3090sta/config.mk

EXTRA_CFLAGS += -Idrivers/staging/rt3090sta/include

DAT_PATH = /etc/Wireless/RT$(CHIPSET_DAT)STA
DAT_FILE_NAME = RT$(CHIPSET_DAT)STA.dat

rt3090sta-objs := \
	common/misc.o \
	common/crypt_md5.o \
	common/crypt_sha2.o \
	common/crypt_hmac.o \
	common/crypt_aes.o \
	common/crypt_arc4.o \
	common/mlme.o \
	common/cmm_wep.o \
	common/action.o \
	common/cmm_data.o \
	common/rtmp_init.o \
	common/cmm_tkip.o \
	common/cmm_aes.o \
	common/cmm_sync.o \
	common/eeprom.o \
	common/cmm_sanity.o \
	common/cmm_info.o \
	common/cmm_cfg.o \
	common/cmm_wpa.o \
	common/dfs.o \
	common/spectrum.o \
	common/rtmp_timer.o \
	common/rt_channel.o \
	common/cmm_profile.o \
	common/cmm_asic.o \
	common/cmm_cmd.o \
	sta/assoc.o \
	sta/auth.o \
	sta/auth_rsp.o \
	sta/sync.o \
	sta/sanity.o \
	sta/rtmp_data.o \
	sta/connect.o \
	sta/wpa.o \
	sta/ags.o \
	sta/sta_cfg.o \
	common/cmm_mac_pci.o \
	common/cmm_data_pci.o \
	common/ee_prom.o \
	common/ee_efuse.o \
	common/rtmp_mcu.o \
	chips/rt30xx.o \
	common/rt_rf.o \
	chips/rt3090.o \
	rt_pci_rbus.o \
	rt_rbus_pci_util.o \
	pci_main_dev.o \
	common/rtmp_init_inf.o \
	rt_profile.o \
	sta_ioctl.o \
	rt_linux.o \
	rt_main_dev.o

ifeq ($(HAS_DOT11_N_SUPPORT),y)
rt3090sta-objs	+= common/ba_action.o
endif

ifeq ($(HAS_ETH_CONVERT_SUPPORT),y)
rt3090sta-objs += \
	common/cmm_mat.o \
	common/cmm_mat_iparp.o \
	common/cmm_mat_pppoe.o \
	common/cmm_mat_ipv6.o
endif

ifeq ($(HAS_BLOCK_NET_IF),y)
rt3090sta-objs += common/netif_block.o
endif

ifeq ($(HAS_QOS_DLS_SUPPORT),y)
rt3090sta-objs += sta/dls.o
endif

ifeq ($(HAS_ATE),y)
rt3090sta-objs	+= common/rt_ate.o
endif

ifeq ($(HAS_CFG80211_SUPPORT),y)
rt3090sta-objs	+= cfg80211.o
endif

=== sound/soc/codecs/Makefile ===
snd-soc-ac97-objs := ac97.o
snd-soc-ad1836-objs := ad1836.o
snd-soc-ad1938-objs := ad1938.o
snd-soc-ad1980-objs := ad1980.o
snd-soc-ad73311-objs := ad73311.o
snd-soc-ak4104-objs := ak4104.o
snd-soc-ak4535-objs := ak4535.o
snd-soc-ak4642-objs := ak4642.o
snd-soc-cs4270-objs := cs4270.o
snd-soc-cx20442-objs := cx20442.o
snd-soc-cs42l51-objs := cs42l51.o
snd-soc-l3-objs := l3.o
snd-soc-pcm3008-objs := pcm3008.o
snd-soc-spdif-objs := spdif_transciever.o
snd-soc-ssm2602-objs := ssm2602.o
snd-soc-stac9766-objs := stac9766.o
snd-soc-tlv320aic23-objs := tlv320aic23.o
snd-soc-tlv320aic26-objs := tlv320aic26.o
snd-soc-tlv320aic3x-objs := tlv320aic3x.o
snd-soc-twl4030-objs := twl4030.o
snd-soc-uda134x-objs := uda134x.o
snd-soc-uda1380-objs := uda1380.o
snd-soc-wm8350-objs := wm8350.o
snd-soc-wm8400-objs := wm8400.o
snd-soc-wm8510-objs := wm8510.o
snd-soc-wm8523-objs := wm8523.o
snd-soc-wm8580-objs := wm8580.o
snd-soc-wm8728-objs := wm8728.o
snd-soc-wm8731-objs := wm8731.o
snd-soc-wm8750-objs := wm8750.o
snd-soc-wm8753-objs := wm8753.o
snd-soc-wm8776-objs := wm8776.o
snd-soc-wm8900-objs := wm8900.o
snd-soc-wm8903-objs := wm8903.o
snd-soc-wm8940-objs := wm8940.o
snd-soc-wm8960-objs := wm8960.o
snd-soc-wm8961-objs := wm8961.o
snd-soc-wm8971-objs := wm8971.o
snd-soc-wm8974-objs := wm8974.o
snd-soc-wm8988-objs := wm8988.o
snd-soc-wm8990-objs := wm8990.o
snd-soc-wm8993-objs := wm8993.o
snd-soc-wm9081-objs := wm9081.o
snd-soc-wm9705-objs := wm9705.o
snd-soc-wm9712-objs := wm9712.o
snd-soc-wm9713-objs := wm9713.o
snd-soc-wm-hubs-objs := wm_hubs.o

# Amp
snd-soc-max9877-objs := max9877.o
snd-soc-rt5623-objs := rt5623.o
snd-soc-rt5610-objs := rt5610.o
snd-soc-rt5630-objs := rt5630.o
snd-soc-rt655-objs := rt655.o
snd-soc-rt5630-hedley-objs := rt5630-hedley.o

obj-$(CONFIG_SND_SOC_AC97_CODEC)	+= snd-soc-ac97.o
obj-$(CONFIG_SND_SOC_AD1836)	+= snd-soc-ad1836.o
obj-$(CONFIG_SND_SOC_AD1938)	+= snd-soc-ad1938.o
obj-$(CONFIG_SND_SOC_AD1980)	+= snd-soc-ad1980.o
obj-$(CONFIG_SND_SOC_AD73311) += snd-soc-ad73311.o
obj-$(CONFIG_SND_SOC_AK4104)	+= snd-soc-ak4104.o
obj-$(CONFIG_SND_SOC_AK4535)	+= snd-soc-ak4535.o
obj-$(CONFIG_SND_SOC_AK4642)	+= snd-soc-ak4642.o
obj-$(CONFIG_SND_SOC_CS4270)	+= snd-soc-cs4270.o
obj-$(CONFIG_SND_SOC_CX20442)	+= snd-soc-cx20442.o
obj-$(CONFIG_SND_SOC_CS42L51)	+= snd-soc-cs42l51.o
obj-$(CONFIG_SND_SOC_L3)	+= snd-soc-l3.o
obj-$(CONFIG_SND_SOC_PCM3008)	+= snd-soc-pcm3008.o
obj-$(CONFIG_SND_SOC_SPDIF)	+= snd-soc-spdif.o
obj-$(CONFIG_SND_SOC_SSM2602)	+= snd-soc-ssm2602.o
obj-$(CONFIG_SND_SOC_STAC9766)	+= snd-soc-stac9766.o
obj-$(CONFIG_SND_SOC_TLV320AIC23)	+= snd-soc-tlv320aic23.o
obj-$(CONFIG_SND_SOC_TLV320AIC26)	+= snd-soc-tlv320aic26.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X)	+= snd-soc-tlv320aic3x.o
obj-$(CONFIG_SND_SOC_TWL4030)	+= snd-soc-twl4030.o
obj-$(CONFIG_SND_SOC_UDA134X)	+= snd-soc-uda134x.o
obj-$(CONFIG_SND_SOC_UDA1380)	+= snd-soc-uda1380.o
obj-$(CONFIG_SND_SOC_WM8350)	+= snd-soc-wm8350.o
obj-$(CONFIG_SND_SOC_WM8400)	+= snd-soc-wm8400.o
obj-$(CONFIG_SND_SOC_WM8510)	+= snd-soc-wm8510.o
obj-$(CONFIG_SND_SOC_WM8523)	+= snd-soc-wm8523.o
obj-$(CONFIG_SND_SOC_WM8580)	+= snd-soc-wm8580.o
obj-$(CONFIG_SND_SOC_WM8728)	+= snd-soc-wm8728.o
obj-$(CONFIG_SND_SOC_WM8731)	+= snd-soc-wm8731.o
obj-$(CONFIG_SND_SOC_WM8750)	+= snd-soc-wm8750.o
obj-$(CONFIG_SND_SOC_WM8753)	+= snd-soc-wm8753.o
obj-$(CONFIG_SND_SOC_WM8776)	+= snd-soc-wm8776.o
obj-$(CONFIG_SND_SOC_WM8900)	+= snd-soc-wm8900.o
obj-$(CONFIG_SND_SOC_WM8903)	+= snd-soc-wm8903.o
obj-$(CONFIG_SND_SOC_WM8971)	+= snd-soc-wm8971.o
obj-$(CONFIG_SND_SOC_WM8974)	+= snd-soc-wm8974.o
obj-$(CONFIG_SND_SOC_WM8940)	+= snd-soc-wm8940.o
obj-$(CONFIG_SND_SOC_WM8960)	+= snd-soc-wm8960.o
obj-$(CONFIG_SND_SOC_WM8961)	+= snd-soc-wm8961.o
obj-$(CONFIG_SND_SOC_WM8988)	+= snd-soc-wm8988.o
obj-$(CONFIG_SND_SOC_WM8990)	+= snd-soc-wm8990.o
obj-$(CONFIG_SND_SOC_WM8993)	+= snd-soc-wm8993.o
obj-$(CONFIG_SND_SOC_WM9081)	+= snd-soc-wm9081.o
obj-$(CONFIG_SND_SOC_WM9705)	+= snd-soc-wm9705.o
obj-$(CONFIG_SND_SOC_WM9712)	+= snd-soc-wm9712.o
obj-$(CONFIG_SND_SOC_WM9713)	+= snd-soc-wm9713.o
obj-$(CONFIG_SND_SOC_WM_HUBS)	+= snd-soc-wm-hubs.o

# Amp
obj-$(CONFIG_SND_SOC_MAX9877)	+= snd-soc-max9877.o
obj-$(CONFIG_SND_SOC_RT5623)    += snd-soc-rt5623.o
obj-$(CONFIG_SND_SOC_RT5610)    += snd-soc-rt5610.o
obj-$(CONFIG_SND_SOC_RT5630)    += snd-soc-rt5630.o
obj-$(CONFIG_SND_SOC_RT655)    += snd-soc-rt655.o
obj-$(CONFIG_SND_SOC_RT5630_HEDLEY) += snd-soc-rt5630-hedley.o

=== arch/arm/plat-orion/mv_hal_drivers/mv_drivers_lsp/mv_audio_soc/Makefile ===
#
# Makefile for the Marvell Audio ALSA Device Driver
#

ifdef CONFIG_MV_HAL_RULES_PATH
include $(srctree)/$(subst ",,$(CONFIG_MV_HAL_RULES_PATH))
endif

obj-$(CONFIG_SND_DOVE_SOC_MRVL_AUDIO) += snd-mv88fx-soc.o
obj-$(CONFIG_SND_DOVE_SOC_MRVL_AUDIO) += snd-mv88fx-i2s-soc.o
obj-$(CONFIG_SND_DOVE_SOC_MRVL_AUDIO) += snd-mv88fx-pcm-soc.o

snd-mv88fx-i2s-soc-objs               += mv88fx-i2s.o
snd-mv88fx-pcm-soc-objs		      += mv88fx-pcm.o

ifneq ("$(CONFIG_SND_SOC_RT5623)","")
snd-mv88fx-soc-objs                  += mv88fx-rt5623.o
endif
ifneq ("$(CONFIG_SND_SOC_RT5630)","")
snd-mv88fx-soc-objs                  += mv88fx-rt5630.o
endif
ifneq ("$(CONFIG_SND_SOC_RT5630_HEDLEY)","")
snd-mv88fx-soc-objs                  += mv88fx-rt5630.o
endif
ifneq ("$(CONFIG_SND_SOC_CS42L51)","")
snd-mv88fx-soc-objs                  += mv88fx.o
endif

=== debian/changelog ===
linux-mvl-dove (2.6.32-212.28hedley14) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * dove: adding support for DVS CPU calibrated value pass-thru from u-boot
    - LP: #753686
  * DVS support: adding support for both high and low voltage values from
    u-boot
    - LP: #753686

 -- Eric Miao <eric.miao@canonical.com>  Thu, 07 Apr 2011 23:39:37 +0800

linux-mvl-dove (2.6.32-212.28hedley13) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: change to reasonable printk output level for EC driver
    - LP: #733628

 -- Eric Miao <eric.miao@canonical.com>  Sat, 26 Mar 2011 09:49:28 +0800

linux-mvl-dove (2.6.32-212.28hedley12) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: add support for rt3090 driver from Ralink
    - LP: #682848
  * hedley: remove rt3090 support from rt2860 driver
    - LP: #682848

 -- Eric Miao <eric.miao@canonical.com>  Fri, 18 Mar 2011 10:49:36 +0800

linux-mvl-dove (2.6.32-212.28hedley11) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: enable ATH9K wifi for SparkLan WPEA-121N module
    - LP: #729551

 -- Eric Miao <eric.miao@canonical.com>  Sat, 05 Mar 2011 16:24:48 +0800

linux-mvl-dove (2.6.32-212.28hedley10) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * Revert "Fix CPU@1GHz & DDR@500MHz get wrong DDR parameters from
    bootloader"
    - LP: #717421
  * Revert "idt: avoid enabling the pll, output and other static
    configuration when changing clock rate"
    - LP: #717421
  * hedley: disable CONFIG_VGA_ARB to suppress unnecessary messages

 -- Eric Miao <eric.miao@canonical.com>  Thu, 03 Mar 2011 15:12:02 +0800

linux-mvl-dove (2.6.32-212.28hedley9) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: enlarge framebuffer size to 48MiB
    - LP: #707076

 -- Eric Miao <eric.miao@canonical.com>  Tue, 22 Feb 2011 21:14:19 +0800

linux-mvl-dove (2.6.32-212.28hedley8) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: change EC IRQ trigger to be on rising edge
    - LP: #716432
  * hedley: Mimas DVT3 requires MRVL_EXT_CLK1 for DVI output
    - LP: #716453

 -- Eric Miao <eric.miao@canonical.com>  Thu, 10 Feb 2011 22:55:06 +0800

linux-mvl-dove (2.6.32-212.28hedley7) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: add inventec updated eneec driver
    - LP: #713107
  * vmeta fix multi-instance abnormal exit in one of the threads
    - LP: #713102
  * check resolution width and height should not be 0.
    - LP: #713102
  * idt: use lookup table for better dividers and loop filter params
    - LP: #713102
  * idt: update lookup table to cover most of known resolutions
    - LP: #713102
  * idt: avoid enabling the pll, output and other static configuration when
    changing clock rate
    - LP: #713102
  * idt: add two frequencies to the lookup table
    - LP: #713102
  * Fix some corner cases of failures in underflow detection of VFP support
    code
    - LP: #713102
  * idt: add more frequencies to the lookup table
    - LP: #713102
  * idt: increase the max difference between targer freq and lookup table
    entries to be 0.5%
    - LP: #713102
  * Enable dual issue of WMMX and VFP
    - LP: #713102
  * Enable RAS again
    - LP: #713102
  * ARM: fix vfp errors found by testfloat
    - LP: #713102
  * Fix CPU@1GHz & DDR@500MHz get wrong DDR parameters from bootloader
    - LP: #713102

 -- Eric Miao <eric.miao@canonical.com>  Fri, 04 Feb 2011 21:03:35 +0800

linux-mvl-dove (2.6.32-212.28hedley6) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: enable RT28xx PCI drivers as modules
    - LP: #695849

 -- Eric Miao <eric.miao@canonical.com>  Mon, 10 Jan 2011 12:14:09 -0600

linux-mvl-dove (2.6.32-212.28hedley5) lucid; urgency=low

  [ Eric Miao ]

  * Start new release

  [ Upstream Kernel Changes ]

  * hedley: add sysfs support for EC RAM and EC version
    - LP: #695376

 -- Eric Miao <eric.miao@canonical.com>  Wed, 29 Dec 2010 22:58:12 +0800

linux-mvl-dove (2.6.32-212.28hedley4) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: change default resolution of the fake EDID table
    - LP: #673595

 -- Eric Miao <eric.miao@canonical.com>  Tue, 07 Dec 2010 11:40:48 +0800

linux-mvl-dove (2.6.32-212.28hedley3) lucid; urgency=low

  [ Eric Miao ]

  * Start new release

  [ Upstream Kernel Changes ]

  * hedley: make sure all timers are cancelled before rt2860 init
    (MlmeInit)
    - LP: #680716

 -- Eric Miao <eric.miao@canonical.com>  Sun, 05 Dec 2010 20:52:30 +0800

linux-mvl-dove (2.6.32-212.28hedley2) lucid; urgency=low

  [ Eric Miao ]

  * Start new release

  [ Upstream Kernel Changes ]

  * hedley: Enable btusb and updated the config files
    - LP: #680384
  * hedley: make rt2870 built-in instead of a module
    - LP: #680716
  * hedley: enable IPv6 support
    - LP: #664227

 -- Eric Miao <eric.miao@canonical.com>  Thu, 02 Dec 2010 20:09:44 +0800

linux-mvl-dove (2.6.32-212.28hedley1) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * hedley: enable mimas board
    - LP: #572701
  * hedley: add kb3310 driver
    - LP: #572701
  * hedley: disable PHY suspend on mimas
    - LP: #572701
  * hedley: disable sata 2.0 on mimas platform
    - LP: #572701
  * hedley: rt5630 codec changes for mimas platform
    - LP: #572701
  * hedley: add mimas flavour to debian packaging
    - LP: #572701
  * hedley: build uboot uImages instead of grub zImages
    - LP: #572701
  * hedley: add mimas config
    - LP: #572701
  * hedley: enable initramfs support
    - LP: #572701
  * hedley: statically build in squashfs for installer
    - LP: #572701
  * hedley: build aufs in statically for mimas
    - LP: #572701
  * hedley: update mimas config as a first pass
    - LP: #572701
  * hedley: enable POSIX ACL support
    - LP: #572701
  * hedley: remove dove flavour
    - LP: #572701
  * hedley: revert change to build uImages instead of zImages
    - LP: #572701
  * hedley: fix up d-i package information
    - LP: #572701


=== debian/control ===
Source: linux-mvl-dove
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), rsync
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid.git

Package: linux-headers-2.6.32-212
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
#Provides: linux-headers, linux-headers-2.6
Description: Header files related to linux-mvl-dove kernel version 2.6.32
 This package provides kernel header files for version 2.6.32, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-2.6.32-212/debian.README.gz for details


Package: linux-image-2.6.32-212-hedley
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${misc:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: 
Suggests: fdutils, linux-mvl-dove-doc-2.6.32 | linux-mvl-dove-source-2.6.32
Description: Linux kernel image for version 2.6.32 on dove-based systems
 This package contains the Linux kernel image for version 2.6.32 on
 dove-based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports dove processors.
 .
 Hedley Mimas boards
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hedley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.32-212-hedley
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.32-212, ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.32 on dove-based systems
 This package provides kernel header files for version 2.6.32 on
 dove-based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.32-212/debian.README.gz for details.

Package: linux-image-2.6.32-212-hedley-dbgsym
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.32 on dove-based systems
 This package provides a kernel debug image for version 2.6.32 on
 dove-based systems.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.
